path: /build/build/minitest-dev-ruby-5-5.22.3+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby30 -ruby_targets_ruby31 -test ruby_targets_ruby27" emerge dev-ruby/minitest:5 -pv -t
  - |
    USE="-doc -ruby_targets_ruby30 -ruby_targets_ruby31 -test ruby_targets_ruby27" emerge -j ${JOBS} --nodeps dev-ruby/minitest:5
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/minitest && luet-portage --dir
    /pkgdir/minitest dev-ruby/minitest:5
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:f4d3a92fcc9eb2b0ce694da1ed31f9ec3b11352d3b6c02e13eed609c778c741d
  package:
    name: minitest
    version: 5.22.3+1
    category: dev-ruby-5
    use_flags:
    - -doc
    - -ruby_targets_ruby30
    - -ruby_targets_ruby31
    - -test
    - ruby_targets_ruby27
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: minitest provides a complete suite of testing facilities supporting
      TDD, BDD, mocking, and benchmarking
    uri:
    - https://github.com/seattlerb/minitest
    license: MIT
    buildtimestamp: 2024-10-07 07:57:19.132196859 +0000 UTC m=+76.478940399
    labels:
      BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: doc test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/minitest:5
      kit: ruby-kit
      original.package.name: dev-ruby/minitest
      original.package.slot: "5"
      original.package.version: 5.22.3
    treedir: /build/packages
  package_dir: /pkgdir/minitest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d143a515ff5e83e15173774c32d99eed46567bee107e40638cd88c2f1f150c4b
compressiontype: zstd
files:
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/hoe/minitest.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/assertions.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/autorun.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/benchmark.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/compress.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/expectations.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/hell.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/mock.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/parallel.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/pride.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/pride_plugin.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/spec.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/test.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/test_task.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest/unit.rb
- usr/lib64/ruby/gems/2.7.0/gems/minitest-5.22.3/lib/minitest.rb
- usr/lib64/ruby/gems/2.7.0/specifications/minitest-5.22.3.gemspec
- usr/share/doc/minitest-5.22.3/History.rdoc.bz2
- usr/share/doc/minitest-5.22.3/README.rdoc.bz2
- var/db/pkg/dev-ruby/minitest-5.22.3/BDEPEND
- var/db/pkg/dev-ruby/minitest-5.22.3/BUILD_TIME
- var/db/pkg/dev-ruby/minitest-5.22.3/CATEGORY
- var/db/pkg/dev-ruby/minitest-5.22.3/CBUILD
- var/db/pkg/dev-ruby/minitest-5.22.3/CFLAGS
- var/db/pkg/dev-ruby/minitest-5.22.3/CHOST
- var/db/pkg/dev-ruby/minitest-5.22.3/CONTENTS
- var/db/pkg/dev-ruby/minitest-5.22.3/COUNTER
- var/db/pkg/dev-ruby/minitest-5.22.3/CTARGET
- var/db/pkg/dev-ruby/minitest-5.22.3/CXX
- var/db/pkg/dev-ruby/minitest-5.22.3/CXXFLAGS
- var/db/pkg/dev-ruby/minitest-5.22.3/DEFINED_PHASES
- var/db/pkg/dev-ruby/minitest-5.22.3/DEPEND
- var/db/pkg/dev-ruby/minitest-5.22.3/DESCRIPTION
- var/db/pkg/dev-ruby/minitest-5.22.3/EAPI
- var/db/pkg/dev-ruby/minitest-5.22.3/FEATURES
- var/db/pkg/dev-ruby/minitest-5.22.3/HOMEPAGE
- var/db/pkg/dev-ruby/minitest-5.22.3/INHERITED
- var/db/pkg/dev-ruby/minitest-5.22.3/IUSE
- var/db/pkg/dev-ruby/minitest-5.22.3/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/minitest-5.22.3/KEYWORDS
- var/db/pkg/dev-ruby/minitest-5.22.3/LDFLAGS
- var/db/pkg/dev-ruby/minitest-5.22.3/LICENSE
- var/db/pkg/dev-ruby/minitest-5.22.3/PF
- var/db/pkg/dev-ruby/minitest-5.22.3/RDEPEND
- var/db/pkg/dev-ruby/minitest-5.22.3/RESTRICT
- var/db/pkg/dev-ruby/minitest-5.22.3/SIZE
- var/db/pkg/dev-ruby/minitest-5.22.3/SLOT
- var/db/pkg/dev-ruby/minitest-5.22.3/USE
- var/db/pkg/dev-ruby/minitest-5.22.3/environment.bz2
- var/db/pkg/dev-ruby/minitest-5.22.3/minitest-5.22.3.ebuild
- var/db/pkg/dev-ruby/minitest-5.22.3/repository
package_cacheimage: ""
runtime:
  name: minitest
  version: 5.22.3+1
  category: dev-ruby-5
  use_flags:
  - -doc
  - -ruby_targets_ruby30
  - -ruby_targets_ruby31
  - -test
  - ruby_targets_ruby27
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: minitest provides a complete suite of testing facilities supporting
    TDD, BDD, mocking, and benchmarking
  uri:
  - https://github.com/seattlerb/minitest
  license: MIT
  labels:
    BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: doc test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/minitest:5
    kit: ruby-kit
    original.package.name: dev-ruby/minitest
    original.package.slot: "5"
    original.package.version: 5.22.3
